| POST | /RestApi/search/reindexAll |
|---|
namespace Telerik.Sitefinity.Search.Impl.Services.DTO
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type ReindexAllRequest() =
class end
[<AllowNullLiteral>]
type ReindexAllResponse() =
member val ErrorMessage:String = null with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/search/reindexAll HTTP/1.1
Host: www.asg.com.au
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"ErrorMessage":"String"}